## qtopenapi-everywhere-src-6.11.0-beta2.tar.xz

=== src/CMakeLists.txt ===
# Copyright (C) 2025 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# We need to evaluate the features early, to decide whether to build and install the
# OpenAPI module at all. Otherwise if not all dependencies are met and the generator is not built
# in the tools subdir, we still end up installing the macros and extra targets files, which is
# undesirable.
add_subdirectory(global)

# First build the generator tool, before the common library is created.
add_subdirectory(tools)

if(QT_FEATURE_openapi_generator)
    if(QT_FEATURE_openapi_common_library)
        add_subdirectory(openapicommon)
    endif()

    # We create the openapi module last, because we want to add a dependency on the common library
    # on the CMake package level.
    add_subdirectory(openapi)
else()
    # Enable documentation build only
    add_subdirectory(openapi/doc)
endif()

=== examples/openapi/CMakeLists.txt ===
# Copyright (C) 2025 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

if(TARGET Qt::Quick)
    qt_internal_add_example(colorpalette)
endif()

=== examples/openapi/colorpalette/CMakeLists.txt ===
# Copyright (C) 2025 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

cmake_minimum_required(VERSION 3.16)
project(colorpaletteApp LANGUAGES CXX)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}")

find_package(Qt6 REQUIRED COMPONENTS Core Network Gui Qml Quick OpenApi)

qt_standard_project_setup(REQUIRES 6.10)

qt_add_executable(colorpaletteApp
    main.cpp
)

add_subdirectory(QtOpenApiExampleStyle)

qt_add_qml_module(colorpaletteApp
    URI ColorPalette
    VERSION 1.0
    QML_FILES
        ColorPalette/Main.qml
        ColorPalette/ColorView.qml
        ColorPalette/UserMenu.qml
        ColorPalette/ColorDialogDelete.qml
        ColorPalette/ColorDialogEditor.qml
        ColorPalette/ServerSelection.qml
    SOURCES
        ApiBridges.h
    RESOURCES
        icons/delete.svg
        icons/edit.svg
        icons/plus.svg
        icons/update.svg
        icons/userMask.svg
        icons/user.svg
        icons/qt.png
        icons/login.svg
        icons/logout.svg
        icons/qt_attribution.json
)

qt_add_library(ColorpaletteClientExample)

qt6_add_openapi_client(ColorpaletteClientExample
    SPEC_FILE
        ${CMAKE_CURRENT_SOURCE_DIR}/colorpalette.yaml
)

target_link_libraries(colorpaletteApp PRIVATE
    Qt6::Core
    Qt6::Network
    Qt6::Gui
    Qt6::Qml
    Qt6::Quick
    ColorpaletteClientExample
)

install(TARGETS colorpaletteApp
    BUNDLE  DESTINATION "${INSTALL_EXAMPLEDIR}"
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== src/openapi/doc/CMakeLists.txt ===
# Copyright (C) 2025 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

add_library(OpenApiDoc INTERFACE)

qt_internal_add_docs(OpenApiDoc qtopenapi.qdocconf)

=== src/tools/qtopenapi-generator/CMakeLists.txt ===
# Copyright (C) 2025 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

if(NOT Java_JAVAC_EXECUTABLE)
    message(FATAL_ERROR "Missing Java_JAVAC_EXECUTABLE to be set.")
endif()

if(NOT OPENAPI_MAVEN_EXECUTABLE)
     message(FATAL_ERROR "Missing OPENAPI_MAVEN_EXECUTABLE to be set.")
 endif()

set(QT6_OPENAPI_GENERATOR_CLI
    "${CMAKE_CURRENT_BINARY_DIR}/target/cpp-qt6-client-openapi-generator-${QT_OPENAPI_GENERATOR_VERSION}.jar"
)

set(source_files
    src/main/java/org/qtproject/qt/codegen/CppQt6AbstractCodegen.java
    src/main/java/org/qtproject/qt/codegen/CppQt6ClientGenerator.java
    src/main/resources/META-INF/services/org.openapitools.codegen.CodegenConfig
    src/main/resources/cpp-qt6-client/CMakeConfig.mustache
    src/main/resources/cpp-qt6-client/CMakeLists.txt.mustache
    src/main/resources/cpp-qt6-client/README.mustache
    src/main/resources/cpp-qt6-client/api-body.mustache
    src/main/resources/cpp-qt6-client/api-header.mustache
    src/main/resources/cpp-qt6-client/common/CMakeConfig.mustache
    src/main/resources/cpp-qt6-client/common/CMakeLists.txt.mustache
    src/main/resources/cpp-qt6-client/common/httpfileelement.cpp.mustache
    src/main/resources/cpp-qt6-client/common/httpfileelement.h.mustache
    src/main/resources/cpp-qt6-client/common/httprequest.cpp.mustache
    src/main/resources/cpp-qt6-client/common/httprequest.h.mustache
    src/main/resources/cpp-qt6-client/common/serverconfiguration.cpp.mustache
    src/main/resources/cpp-qt6-client/common/serverconfiguration.h.mustache
    src/main/resources/cpp-qt6-client/common/servervariable.cpp.mustache
    src/main/resources/cpp-qt6-client/common/servervariable.h.mustache
    src/main/resources/cpp-qt6-client/common/api-base-body.mustache
    src/main/resources/cpp-qt6-client/common/api-base-header.mustache
    src/main/resources/cpp-qt6-client/common/common-exports.mustache
    src/main/resources/cpp-qt6-client/common/enum-body.mustache
    src/main/resources/cpp-qt6-client/common/enum-header.mustache
    src/main/resources/cpp-qt6-client/common/helpers-body.mustache
    src/main/resources/cpp-qt6-client/common/helpers-header.mustache
    src/main/resources/cpp-qt6-client/common/object-body.mustache
    src/main/resources/cpp-qt6-client/common/object-header.mustache
    src/main/resources/cpp-qt6-client/doc/Doxyfile.in.mustache
    src/main/resources/cpp-qt6-client/exports.mustache
    src/main/resources/cpp-qt6-client/licenseInfo.mustache
    src/main/resources/cpp-qt6-client/model-body.mustache
    src/main/resources/cpp-qt6-client/model-header.mustache
    src/test/java/org/qtproject/qt/codegen/CppQt6ClientGeneratorTest.java
    pom.xml
    logback.xml
)


# Define a custom command to run 'mvn package'
add_custom_command(
    OUTPUT "${QT6_OPENAPI_GENERATOR_CLI}"
    COMMAND "${OPENAPI_MAVEN_EXECUTABLE}"
            -f "${CMAKE_CURRENT_SOURCE_DIR}/pom.xml" package
            -Dqt.build.dir=${CMAKE_CURRENT_BINARY_DIR}/target
    # Copy the built generator to libexec build dir, so that standalone tests work with no-prefix
    # builds as well.
    COMMAND "${CMAKE_COMMAND}" -E copy_if_different
            "${QT6_OPENAPI_GENERATOR_CLI}"
            "${QT_BUILD_DIR}/${INSTALL_LIBEXECDIR}"
    DEPENDS
        ${source_files}
    WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}"
    COMMENT "Building the Qt6 Client Code Generator with Maven"
    VERBATIM
    USES_TERMINAL
)

# Define a custom target that depends on the above output
add_custom_target(
    QtOpenAPIGenerator ALL
    DEPENDS
        "${QT6_OPENAPI_GENERATOR_CLI}"
)

add_executable(QtOpenAPIGeneratorJar IMPORTED GLOBAL)
add_executable("${QT_CMAKE_EXPORT_NAMESPACE}::QtOpenAPIGeneratorJar" ALIAS QtOpenAPIGeneratorJar)
set_target_properties(QtOpenAPIGeneratorJar PROPERTIES
    IMPORTED_LOCATION
        "${QT6_OPENAPI_GENERATOR_CLI}"
)

if(INSTALL_LIBEXECDIR)
    set(qt_install_libexec_dir "${INSTALL_LIBEXECDIR}")
elseif(QT6_INSTALL_LIBEXECS)
    set(qt_install_libexec_dir "${QT6_INSTALL_LIBEXECS}")
endif()

qt_install(FILES "${QT6_OPENAPI_GENERATOR_CLI}" DESTINATION "${qt_install_libexec_dir}")

=== examples/openapi/colorpalette/QtOpenApiExampleStyle/CMakeLists.txt ===
# Copyright (C) 2025 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

cmake_minimum_required(VERSION 3.16)
project(qtopenapi_examplestyle LANGUAGES CXX)

set(CMAKE_AUTOMOC ON)

find_package(Qt6 REQUIRED COMPONENTS Core Gui Quick QuickControls2)

set_source_files_properties(UIStyle.qml
    PROPERTIES
        QT_QML_SINGLETON_TYPE TRUE
)

qt_policy(SET QTP0001 NEW)
qt_add_qml_module(qtopenapi_examplestyle
    URI QtOpenApiExampleStyle
    PLUGIN_TARGET qtopenapi_examplestyle
    QML_FILES
        Button.qml
        UIStyle.qml
)

target_link_libraries(qtopenapi_examplestyle PUBLIC
    Qt6::Core
    Qt6::Gui
    Qt6::Quick
    Qt6::QuickControls2
)

if(UNIX AND NOT APPLE AND CMAKE_CROSSCOMPILING)
    find_package(Qt6 REQUIRED COMPONENTS QuickTemplates2)

    # Work around QTBUG-86533
    target_link_libraries(qtopenapi_examplestyle PRIVATE Qt6::QuickTemplates2)
endif()

install(TARGETS qtopenapi_examplestyle
    RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}/QtOpenApiExampleStyle"
    LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}/QtOpenApiExampleStyle"
)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/qmldir
    DESTINATION "${CMAKE_INSTALL_BINDIR}/QtOpenApiExampleStyle"
)

=== tests/auto/operation-parameters/client/CMakeLists.txt ===
# Copyright (C) 2025 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

add_subdirectory(operationparameters)

=== tests/auto/petstore/client/CMakeLists.txt ===
# Copyright (C) 2025 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

qt_add_library(PetStoreClient)
qt6_add_openapi_client(PetStoreClient
    SPEC_FILE
        ${CMAKE_CURRENT_SOURCE_DIR}/petstore.yaml
)
qt_autogen_tools_initial_setup(PetStoreClient)

if(TARGET Qt::Gui)
    add_subdirectory(petapitest)
endif()
add_subdirectory(storeapitest)
add_subdirectory(userapitest)

=== tests/auto/responses/client/CMakeLists.txt ===
# Copyright (C) 2025 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

add_subdirectory(responses)

=== tests/auto/compression/client/tst_compression/CMakeLists.txt ===
# Copyright (C) 2025 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

if(NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    cmake_minimum_required(VERSION 3.16)
    project(cpp-qt-compression LANGUAGES CXX)
    find_package(Qt6BuildInternals REQUIRED COMPONENTS STANDALONE_TEST)
endif()

# We do not need a server now
# if(NOT TARGET compression-server-go)
#     message(WARNING "No compression-server-go server in the build.")
#     return()
# endif()

if(MSVC)
    add_compile_options(/W4 /WX)
else()
    add_compile_options(-Wall -Wextra)
    if(WARNINGS_ARE_ERRORS)
        add_compile_options(-Werror=deprecated-declarations)
    endif()
endif()

find_package(Doxygen)

qt_internal_add_test(cpp-qt-compression
    SOURCES
        tst_compression.cpp
    LIBRARIES
        Qt::Core
        Qt::Network
        Qt::Test
)

qt_add_library(CompressionClient)
qt6_add_openapi_client(CompressionClient
    SPEC_FILE
        ${CMAKE_CURRENT_SOURCE_DIR}/compression.yaml
    GENERATE_DOCUMENTATION
)

# target_compile_definitions(cpp-qt-compression
#     PRIVATE
#         SERVER_PATH="$<TARGET_FILE:compression-server-go>"
# )
qt_autogen_tools_initial_setup(CompressionClient)
target_link_libraries(cpp-qt-compression PRIVATE CompressionClient)
# add_dependencies(cpp-qt-compression compression-server-go)

if(WIN32)
    add_custom_command(TARGET cpp-qt-compression POST_BUILD
        COMMAND ${CMAKE_COMMAND} -E copy_if_different
            $<TARGET_FILE:CompressionClient>
            ${CMAKE_CURRENT_BINARY_DIR}
        VERBATIM)
endif()

=== tests/auto/mediatype/client/mediatype/CMakeLists.txt ===
# Copyright (C) 2025 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

if(NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    cmake_minimum_required(VERSION 3.16)
    project(cpp-qt-mediatype LANGUAGES CXX)
    find_package(Qt6BuildInternals REQUIRED COMPONENTS STANDALONE_TEST)
endif()

if(NOT TARGET mediatype-server-go)
    message(WARNING "No mediatype-server-go server in the build.")
    return()
endif()

if(MSVC)
    add_compile_options(/W4 /WX)
else()
    add_compile_options(-Wall -Wextra)
    if(WARNINGS_ARE_ERRORS)
        add_compile_options(-Werror=deprecated-declarations)
    endif()
endif()

qt_internal_add_test(cpp-qt-mediatype
    SOURCES
        tst_mediatype.cpp
    LIBRARIES
        Qt::Core
        Qt::Gui
        Qt::Network
        Qt::Test
)

qt_add_library(MediaTypeClient)
qt6_add_openapi_client(MediaTypeClient
    SPEC_FILE
        ${CMAKE_CURRENT_SOURCE_DIR}/mediatype.yaml
)

# Resources:
set(cpp_qt_mediatype_resource_files
    "file-for-uploading.txt"
    "usericon.png"
)

qt_internal_add_resource(cpp-qt-mediatype "cpp-qt-mediatype"
    PREFIX
        "/"
    FILES
        ${cpp_qt_mediatype_resource_files}
)

target_compile_definitions(cpp-qt-mediatype
    PRIVATE
        SERVER_PATH="$<TARGET_FILE:mediatype-server-go>"
)
qt_autogen_tools_initial_setup(MediaTypeClient)
target_link_libraries(cpp-qt-mediatype PRIVATE MediaTypeClient)
add_dependencies(cpp-qt-mediatype mediatype-server-go)

if(WIN32)
    add_custom_command(TARGET cpp-qt-mediatype POST_BUILD
        COMMAND ${CMAKE_COMMAND} -E copy_if_different
            $<TARGET_FILE:MediaTypeClient>
            ${CMAKE_CURRENT_BINARY_DIR}
        VERBATIM)
endif()

=== tests/auto/openapi2.0/client/openapi2.0/CMakeLists.txt ===
# Copyright (C) 2025 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

if(NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    cmake_minimum_required(VERSION 3.16)
    project(cpp-qt-operations-parameters-backport LANGUAGES CXX)
    find_package(Qt6BuildInternals REQUIRED COMPONENTS STANDALONE_TEST)
endif()

if(NOT TARGET backport-server-go)
    message(WARNING "No backport-server-go server in the build.")
    return()
endif()

qt_internal_add_test(cpp-qt-operations-parameters-backport
    SOURCES
        tst_openapi2_0.cpp
    LIBRARIES
        Qt::Core
        Qt::Network
        Qt::Test
)

qt_add_library(OpenapiBackportClient)
qt6_add_openapi_client(OpenapiBackportClient
    SPEC_FILE
        ${CMAKE_CURRENT_SOURCE_DIR}/openapi2.0.yaml
)

target_compile_definitions(cpp-qt-operations-parameters-backport
    PRIVATE
        SERVER_PATH="$<TARGET_FILE:backport-server-go>"
)

add_dependencies(cpp-qt-operations-parameters-backport backport-server-go)
qt_autogen_tools_initial_setup(OpenapiBackportClient)
target_link_libraries(cpp-qt-operations-parameters-backport
    PRIVATE
        OpenapiBackportClient
)

if(WIN32)
    add_custom_command(TARGET cpp-qt-operations-parameters-backport POST_BUILD
        COMMAND ${CMAKE_COMMAND} -E copy_if_different
            $<TARGET_FILE:OpenapiBackportClient>
            ${CMAKE_CURRENT_BINARY_DIR}
        VERBATIM)
endif()

=== coin/openapi-generator-cli/debian/changelog ===
openapi-generator-cli (CLI_VERSION) unstable; urgency=medium

  * Initial release.

 -- The Qt Company <support@qt.io>  Fri, 12 Dec 2025 08:00:00 +0200

=== coin/openapi-generator-cli/debian/control ===

Source: openapi-generator-cli
Section: java
Priority: optional
Maintainer: QtCompany
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.0
Rules-Requires-Root: no

Package: openapi-generator-cli
Architecture: all
Depends: ${misc:Depends}, default-jre | java-runtime
Description: openapi-generator-cli.jar packaged as a .deb
 openapi-generator-cli.jar packaged as a .deb
